Subject: bug#463: ifupdown: ifup hangs up with wlan0 and does not configure it

From: Mark Hindley <[email-masked]>
Date: Mon, 18 May 2020 12:31:18 +0100

Control: tags -1 debian
Control: upstream -1 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=922550

Ryutaroh,

Thanks for this. Sorry for not replying -- I missed this report coming through.

On Mon, May 18, 2020 at 12:57:53PM +0900, Ryutaroh Matsumoto wrote:
> I found a workaround on this bug:
> Changing
> 
> allow-hotplug wlan0
> to
> auto wlan0

This is a known issue an workaround. It only occurs if the ethernet cable is
plugged in before boot.

As well as your workaround there is a know initscript patch:

 https://dev1galaxy.org/viewtopic.php?pid=15493#p15493

It is already reported in Debian, but there is no sign of it being addressed.

 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=922550
 
We will add the workaround to the Release Notes and consider forking the
package.

Thanks

Mark